Buffers
Implementation API

Buffer handling. More...

## Files

file | buffers.h
| `pipewire/buffers.h`

## Data Structures

struct | pw_buffers

## Macros

#define | PW_BUFFERS_FLAG_NONE 0
#define | PW_BUFFERS_FLAG_NO_MEM (1<<0)
| don't allocate buffer memory More...
#define | PW_BUFFERS_FLAG_SHARED (1<<1)
| buffers can be shared More...
#define | PW_BUFFERS_FLAG_DYNAMIC (1<<2)
| buffers have dynamic data More...
#define | PW_BUFFERS_FLAG_SHARED_MEM (1<<3)
| buffers need shared memory More...

## Functions

int | pw_buffers_negotiate (struct pw_context *context, uint32_t flags, struct spa_node *outnode, uint32_t out_port_id, struct spa_node *innode, uint32_t in_port_id, struct pw_buffers *result)
void | pw_buffers_clear (struct pw_buffers *buffers)

## Detailed Description

Buffer handling.

## Macro Definition Documentation

## PW_BUFFERS_FLAG_NONE

#define PW_BUFFERS_FLAG_NONE 0

## PW_BUFFERS_FLAG_NO_MEM

#define PW_BUFFERS_FLAG_NO_MEM (1<<0)

don't allocate buffer memory

## PW_BUFFERS_FLAG_SHARED

#define PW_BUFFERS_FLAG_SHARED (1<<1)

buffers can be shared

## PW_BUFFERS_FLAG_DYNAMIC

#define PW_BUFFERS_FLAG_DYNAMIC (1<<2)

buffers have dynamic data

## PW_BUFFERS_FLAG_SHARED_MEM

#define PW_BUFFERS_FLAG_SHARED_MEM (1<<3)

buffers need shared memory

## Function Documentation

## pw_buffers_negotiate()

int pw_buffers_negotiate | ( | struct pw_context * | context,
|  | uint32_t | flags,
|  | struct spa_node * | outnode,
|  | uint32_t | out_port_id,
|  | struct spa_node * | innode,
|  | uint32_t | in_port_id,
|  | struct pw_buffers * | result
| ) |  |

## pw_buffers_clear()

void pw_buffers_clear | ( | struct pw_buffers * | buffers | ) |